Skip to main content
GET
List GRC Evidences

Authorizations

X-CONNECTION-ID
string
header
required
X-API-KEY
string
header
required

Query Parameters

sort
string | null

Sort by field

Pattern: ^name$|^name\:asc$|^name\:desc$|^type$|^type\:asc$|^type\:desc$|^status$|^status\:asc$|^status\:desc$|^collected_at$|^collected_at\:asc$|^collected_at\:desc$|^updated_at$|^updated_at\:asc$|^updated_at\:desc$|^created_at$|^created_at\:asc$|^created_at\:desc$
updatedSince
string<date-time> | null

Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00

cursor
string | null

Skip token to continue from the last item in the previous page

limit
integer
default:100

Limit size (page size)

Required range: x >= 0
type
string | null

Filter evidence by type (comma-separated values supported)

status
string | null

Filter evidence by status (comma-separated values supported)

collected_after
string<date-time> | null

Filter evidence collected after this timestamp (ISO 8601 format)

collected_before
string<date-time> | null

Filter evidence collected before this timestamp (ISO 8601 format)

control_ids
string | null

Filter evidence by associated control ID (comma-separated values supported)

Response

Successful Response

items
Evidence · object[]
required

List of items returned in the response

next_cursor
string | null

Skip token to continue from the last item in the previous page

previous_cursor
string | null

Skip token to continue from the first item in the previous page